import parseCompositeCheckDigit from '../parsers/parseCompositeCheckDigit';
import parseDate from '../parsers/parseDate';
import parseDateCheckDigit from '../parsers/parseDateCheckDigit';
import parseDocumentNumber from '../parsers/parseDocumentNumber';
import parseDocumentNumberCheckDigit from '../parsers/parseDocumentNumberCheckDigit';
import parseFirstName from '../parsers/parseFirstName';
import parseLastName from '../parsers/parseLastName';
import parseSex from '../parsers/parseSex';
import parseState from '../parsers/parseState';
declare const documentNumberTemplate: {
    label: string;
    field: string;
    parser: typeof parseDocumentNumber;
};
declare const documentNumberCheckDigitTemplate: {
    label: string;
    field: string;
    parser: typeof parseDocumentNumberCheckDigit;
};
declare const documentCodeTemplate: {
    label: string;
    field: string;
};
declare const nationalityTemplate: {
    label: string;
    field: string;
    parser: typeof parseState;
};
declare const sexTemplate: {
    label: string;
    field: string;
    parser: typeof parseSex;
};
declare const expirationDateTemplate: {
    label: string;
    field: string;
    parser: typeof parseDate;
};
declare const expirationDateCheckDigitTemplate: {
    label: string;
    field: string;
    parser: typeof parseDateCheckDigit;
};
declare const compositeCheckDigitTemplate: {
    label: string;
    field: string;
    parser: typeof parseCompositeCheckDigit;
};
declare const birthDateTemplate: {
    label: string;
    field: string;
    parser: typeof parseDate;
};
declare const birthDateCheckDigitTemplate: {
    label: string;
    field: string;
    parser: typeof parseDateCheckDigit;
};
declare const issueDateTemplate: {
    label: string;
    field: string;
    parser: typeof parseDate;
};
declare const firstNameTemplate: {
    label: string;
    field: string;
    parser: typeof parseFirstName;
};
declare const lastNameTemplate: {
    label: string;
    field: string;
    parser: typeof parseLastName;
};
declare const issuingStateTemplate: {
    label: string;
    field: string;
    parser: typeof parseState;
};
export { documentNumberTemplate, documentNumberCheckDigitTemplate, documentCodeTemplate, nationalityTemplate, sexTemplate, expirationDateTemplate, expirationDateCheckDigitTemplate, birthDateTemplate, birthDateCheckDigitTemplate, issueDateTemplate, compositeCheckDigitTemplate, firstNameTemplate, lastNameTemplate, issuingStateTemplate, };
//# sourceMappingURL=fieldTemplates.d.ts.map