'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const formats_1 = __importDefault(require("../formats"));
const checkLines_1 = __importDefault(require("./checkLines"));
const frenchNationalIdFields_1 = __importDefault(require("./frenchNationalIdFields"));
const getResult_1 = __importDefault(require("./getResult"));
const FRENCH_NATIONAL_ID = formats_1.default.FRENCH_NATIONAL_ID;
function parseFrenchNationalId(lines) {
    const result = (0, checkLines_1.default)(lines);
    if (result.length !== 2) {
        throw new Error(`invalid number of lines: ${result.length}: Must be 2 for ${FRENCH_NATIONAL_ID}`);
    }
    result.forEach((line, index) => {
        if (line.length !== 36) {
            throw new Error(`invalid number of characters for line ${index + 1}: ${line.length}. Must be 36 for ${FRENCH_NATIONAL_ID}`);
        }
    });
    return (0, getResult_1.default)(FRENCH_NATIONAL_ID, lines, frenchNationalIdFields_1.default);
}
exports.default = parseFrenchNationalId;
//# sourceMappingURL=frenchNationalId.js.map