'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const formats_1 = __importDefault(require("../formats"));
const checkLines_1 = __importDefault(require("./checkLines"));
const getResult_1 = __importDefault(require("./getResult"));
const swissDrivingLicenseFields_1 = __importDefault(require("./swissDrivingLicenseFields"));
const SWISS_DRIVING_LICENSE = formats_1.default.SWISS_DRIVING_LICENSE;
function parseSwissDrivingLicense(lines) {
    const result = (0, checkLines_1.default)(lines);
    if (result.length !== 3) {
        throw new Error(`invalid number of lines: ${result.length}: Must be 3 for ${SWISS_DRIVING_LICENSE}`);
    }
    if (result[0].length !== 9) {
        throw new Error(`invalid number of characters for line 1: ${result[0].length}. Must be 9 for ${SWISS_DRIVING_LICENSE}`);
    }
    if (result[1].length !== 30) {
        throw new Error(`invalid number of characters for line 2: ${result[1].length}. Must be 30 for ${SWISS_DRIVING_LICENSE}`);
    }
    if (result[2].length !== 30) {
        throw new Error(`invalid number of characters for line 3: ${result[2].length}. Must be 30 for ${SWISS_DRIVING_LICENSE}`);
    }
    return (0, getResult_1.default)(SWISS_DRIVING_LICENSE, lines, swissDrivingLicenseFields_1.default);
}
exports.default = parseSwissDrivingLicense;
//# sourceMappingURL=swissDrivingLicense.js.map