'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const parseNumber_1 = require("../parsers/parseNumber");
const checkSeparator_1 = require("../parsers/swissDrivingLicense/checkSeparator");
const parseDocumentCode_1 = __importDefault(require("../parsers/swissDrivingLicense/parseDocumentCode"));
const parseDocumentNumber_1 = __importDefault(require("../parsers/swissDrivingLicense/parseDocumentNumber"));
const parseIssuingState_1 = __importDefault(require("../parsers/swissDrivingLicense/parseIssuingState"));
const parseLanguageCode_1 = __importDefault(require("../parsers/swissDrivingLicense/parseLanguageCode"));
const createFieldParser_1 = require("./createFieldParser");
const fieldTemplates_1 = require("./fieldTemplates");
exports.default = [
    {
        ...fieldTemplates_1.documentNumberTemplate,
        line: 0,
        start: 0,
        end: 9,
        parser: parseDocumentNumber_1.default,
    },
    {
        label: 'Language code',
        field: 'languageCode',
        line: 0,
        start: 6,
        end: 7,
        parser: parseLanguageCode_1.default,
    },
    {
        ...fieldTemplates_1.documentCodeTemplate,
        line: 1,
        start: 0,
        end: 2,
        parser: parseDocumentCode_1.default,
    },
    {
        ...fieldTemplates_1.issuingStateTemplate,
        line: 1,
        start: 2,
        end: 5,
        parser: parseIssuingState_1.default,
    },
    {
        label: 'PIN code',
        field: 'pinCode',
        line: 1,
        start: 5,
        end: 14,
        parser: parseNumber_1.parseNumber,
    },
    {
        label: 'Version number',
        field: 'versionNumber',
        line: 1,
        start: 14,
        end: 17,
        parser: parseNumber_1.parseNumber,
    },
    {
        label: 'Separator 1',
        field: null,
        line: 1,
        start: 17,
        end: 19,
        parser: checkSeparator_1.checkSeparator,
    },
    { ...fieldTemplates_1.birthDateTemplate, line: 1, start: 19, end: 25 },
    {
        label: 'Separator 2',
        field: null,
        line: 1,
        start: 25,
        end: 30,
        parser: checkSeparator_1.checkSeparator,
    },
    { ...fieldTemplates_1.lastNameTemplate, line: 2, start: 0, end: 30 },
    { ...fieldTemplates_1.firstNameTemplate, line: 2, start: 0, end: 30 },
].map(createFieldParser_1.createFieldParser);
//# sourceMappingURL=swissDrivingLicenseFields.js.map