'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const formats_1 = __importDefault(require("../formats"));
const checkLines_1 = __importDefault(require("./checkLines"));
const getResult_1 = __importDefault(require("./getResult"));
const td1Fields_1 = __importDefault(require("./td1Fields"));
const TD1 = formats_1.default.TD1;
function parseTD1(lines) {
    const result = (0, checkLines_1.default)(lines);
    if (result.length !== 3) {
        throw new Error(`invalid number of lines: ${result.length}: Must be 3 for ${TD1}`);
    }
    result.forEach((line, index) => {
        if (line.length !== 30) {
            throw new Error(`invalid number of characters for line ${index + 1}: ${line.length}. Must be 30 for ${TD1}`);
        }
    });
    return (0, getResult_1.default)(TD1, lines, td1Fields_1.default);
}
exports.default = parseTD1;
//# sourceMappingURL=td1.js.map