'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const formats_1 = __importDefault(require("../formats"));
const checkLines_1 = __importDefault(require("./checkLines"));
const getResult_1 = __importDefault(require("./getResult"));
const td2Fields_1 = __importDefault(require("./td2Fields"));
const TD2 = formats_1.default.TD2;
function parseTD2(lines) {
    const result = (0, checkLines_1.default)(lines);
    if (result.length !== 2) {
        throw new Error(`invalid number of lines: ${result.length}: Must be 2 for ${TD2}`);
    }
    result.forEach((line, index) => {
        if (line.length !== 36) {
            throw new Error(`invalid number of characters for line ${index + 1}: ${line.length}. Must be 36 for TD2`);
        }
    });
    return (0, getResult_1.default)(TD2, lines, td2Fields_1.default);
}
exports.default = parseTD2;
//# sourceMappingURL=td2.js.map