'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const formats_1 = __importDefault(require("../formats"));
const checkLines_1 = __importDefault(require("./checkLines"));
const getResult_1 = __importDefault(require("./getResult"));
const td3Fields_1 = __importDefault(require("./td3Fields"));
const TD3 = formats_1.default.TD3;
function parseTD3(lines) {
    const result = (0, checkLines_1.default)(lines);
    if (result.length !== 2) {
        throw new Error(`invalid number of lines: ${result.length}: Must be 2 for ${TD3}`);
    }
    result.forEach((line, index) => {
        if (line.length !== 44) {
            throw new Error(`invalid number of characters for line ${index + 1}: ${line.length}. Must be 44 for TD3`);
        }
    });
    return (0, getResult_1.default)(TD3, lines, td3Fields_1.default);
}
exports.default = parseTD3;
//# sourceMappingURL=td3.js.map